#ifndef BLOCK_EDITOR_DIALOG_H
#define BLOCK_EDITOR_DIALOG_H

#include <QDialog>
#include <QMenuBar>
#include "core.h"
#include "ui_block_editor_dialog.h"


class BlockEditorDialog: public QDialog, public Ui::BlockEditorDialog {
	Q_OBJECT
public:
	explicit BlockEditorDialog(QWidget * parent = 0);
	~BlockEditorDialog();
	
	void show(SHDesignerCore::Editor * e);
	
private:
	SHDesignerCore::Editor * editor;
	bool was_opened;
	
public slots:
	
private slots:
	void on_widgetDevice_opened();
	void on_widgetDevice_closed();
	void on_widgetDevice_readed(QByteArray data);

signals:
	
};

#endif // BLOCK_EDITOR_DIALOG_H
